export declare enum TaskDispatcherEvent {
    TaskExecutionStarted = "taskExecutionStarted",
    TaskExecutionTimedOut = "taskExecutionTimedOut",
    TaskChainFinished = "taskChainFinished",
    DefaultCancelEvent = "defaultCancelEvent"
}
export interface DispatchableEvent {
    name: string;
    id: string;
    expirationTimestamp: number;
    data: EventData;
}
export interface EventData {
    [key: string]: any;
}
export declare function createEvent(name: string, params?: CreateEventParams): DispatchableEvent;
interface CreateEventParams {
    data?: EventData;
    id?: string;
    expirationTimestamp?: number;
}
export {};
