import { DispatchableEvent } from "./events";
import { EventCallback, EventReceiver } from "./event-receivers";
export { TaskDispatcherEvent, DispatchableEvent, EventData, createEvent, } from "./events";
export { EventCallback, EventReceiver } from "./event-receivers";
export declare function on(eventName: string, eventReceiver: EventCallback | EventReceiver): number;
export declare function off(eventName: string, listenerId?: number): void;
export declare function emit(dispatchableEvent: DispatchableEvent): void;
export declare function hasListeners(eventName: string): boolean;
