import { EventCallback } from "./event-receivers";
import { DispatchableEvent } from "./events";
export declare class InternalEventManager {
    private notificationCenter;
    private listenerCounter;
    private callbacks;
    constructor();
    on(eventName: string, callback: EventCallback): number;
    off(eventName: string, listenerId?: number): void;
    emit(dispatchableEvent: DispatchableEvent): void;
    hasListeners(eventName: string): boolean;
}
