import { PlannedTasksStore } from "../persistence/planned-tasks-store";
import { TaskScheduler } from "./schedulers/time-based";
import { PlannedTask } from "./planner/planned-task";
export declare class TaskCancelManager {
    private taskStore;
    private taskScheduler?;
    private cancelEvents;
    private logger;
    constructor(taskStore?: PlannedTasksStore, taskScheduler?: TaskScheduler);
    init(): Promise<void>;
    add(plannedTask: PlannedTask): void;
    private listenToCancelEvent;
    private cancelByEventName;
    private cancelTask;
    private getTaskScheduler;
}
export declare const taskCancelManager: TaskCancelManager;
