import { PlannedTasksStore } from "../../persistence/planned-tasks-store";
import { PlannedTask } from "../planner/planned-task";
import { DispatchableEvent } from "../../events";
export declare class BatchTaskRunner {
    private readonly taskRunner;
    private readonly logger;
    constructor(taskStore: PlannedTasksStore);
    run(plannedTasks: Array<PlannedTask>, startEvent: DispatchableEvent): Promise<void>;
    private runTaskWithCustomStartEvent;
}
