"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var application_1 = require("tns-core-modules/application/application");
var intents_android_1 = require("./intents.android");
var AndroidTaskChainLauncher = (function () {
    function AndroidTaskChainLauncher() {
    }
    AndroidTaskChainLauncher.prototype.launch = function (launchEvent, eventData, eventId) {
        var context = application_1.android.context;
        var startTaskChainRunnerService = intents_android_1.createTaskChainRunnerServiceIntent(context, {
            launchEvent: launchEvent,
            eventData: eventData,
            eventId: eventId,
        });
        context.startService(startTaskChainRunnerService);
    };
    return AndroidTaskChainLauncher;
}());
exports.AndroidTaskChainLauncher = AndroidTaskChainLauncher;
var _androidTaskChainLauncher;
function getAndroidTaskChainLauncher() {
    if (!_androidTaskChainLauncher) {
        _androidTaskChainLauncher = new AndroidTaskChainLauncher();
    }
    return _androidTaskChainLauncher;
}
exports.getAndroidTaskChainLauncher = getAndroidTaskChainLauncher;
//# sourceMappingURL=index.js.map