"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("../../../events");
var _taskChainLauncherCreator = function () { return null; };
function setTaskChainLauncherCreator(creator) {
    _taskChainLauncherCreator = creator;
}
exports.setTaskChainLauncherCreator = setTaskChainLauncherCreator;
function taskChainLauncher() {
    return new CommonTaskChainLauncher(_taskChainLauncherCreator());
}
exports.taskChainLauncher = taskChainLauncher;
var CommonTaskChainLauncher = (function () {
    function CommonTaskChainLauncher(nativeTaskChainLauncher) {
        this.nativeTaskChainLauncher = nativeTaskChainLauncher;
    }
    CommonTaskChainLauncher.prototype.launch = function (launchEvent, data, eventId) {
        if (data === void 0) { data = {}; }
        if (!events_1.hasListeners(launchEvent)) {
            return;
        }
        this.nativeTaskChainLauncher.launch(launchEvent, data, eventId);
    };
    return CommonTaskChainLauncher;
}());
//# sourceMappingURL=common.js.map