import { RunnableTask } from "../../runnable-task";
import { DispatchableEvent } from "../../../../events";
import { PlannedTask } from "../../planner/planned-task";
import { PlannedTasksStore } from "../../../persistence/planned-tasks-store";
export declare class InstantTaskRunner implements TaskRunner {
    private taskStore;
    private taskRunner;
    constructor(taskStore: PlannedTasksStore);
    run(task: RunnableTask, dispatchableEvent: DispatchableEvent): Promise<PlannedTask>;
}
export interface TaskRunner {
    run(task: RunnableTask, dispatchableEvent: DispatchableEvent): Promise<PlannedTask>;
}
