import { AlarmManager } from "../abstract-alarm-manager.android";
import { PlannedTasksStore } from "../../../../../../persistence/planned-tasks-store";
import { PlannedTask } from "../../../../../planner/planned-task";
import { RunnableTask } from "../../../../../runnable-task";
export declare class AndroidAlarmScheduler {
    private alarmManager;
    private watchdogManager;
    private plannedTaskStore;
    private readonly tag;
    private logger;
    private lock;
    constructor(alarmManager?: AlarmManager, watchdogManager?: AlarmManager, plannedTaskStore?: PlannedTasksStore);
    setup(): Promise<void>;
    schedule(runnableTask: RunnableTask): Promise<PlannedTask>;
    cancel(id: string): Promise<void>;
    private onSchedule;
    private onCancel;
}
