"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("../events");
var TaskChain = (function () {
    function TaskChain() {
    }
    TaskChain.finalize = function (id, status, err) {
        var result = { status: status };
        if (err) {
            result.reason = err;
        }
        var endEvent = events_1.createEvent(events_1.TaskDispatcherEvent.TaskChainFinished, {
            id: id,
            data: {
                result: result,
            },
        });
        events_1.emit(endEvent);
    };
    return TaskChain;
}());
exports.TaskChain = TaskChain;
var TaskResultStatus;
(function (TaskResultStatus) {
    TaskResultStatus["Ok"] = "ok";
    TaskResultStatus["Error"] = "error";
    TaskResultStatus["Cancelled"] = "cancelled";
})(TaskResultStatus = exports.TaskResultStatus || (exports.TaskResultStatus = {}));
//# sourceMappingURL=task-chain.js.map