export interface Logger {
    debug(message: any): void;
    info(message: any): void;
    warn(message: any): void;
    error(message: any): void;
}
export declare abstract class AbstractLogger implements Logger {
    private tag;
    constructor(tag: string);
    debug(message: any): void;
    info(message: any): void;
    warn(message: any): void;
    error(message: any): void;
    protected abstract logDebug(message: string): void;
    protected abstract logInfo(message: string): void;
    protected abstract logWarning(message: string): void;
    protected abstract logError(message: string): void;
    private formatMessage;
}
