"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var task_1 = require("./task");
var planner_1 = require("./planner");
var builder_1 = require("./runnable-task/builder");
var taskPlanner = new planner_1.TaskPlanner();
function run(taskName, params) {
    if (params === void 0) { params = {}; }
    return new builder_1.RunnableTaskBuilderImpl(taskName, params, taskPlanner);
}
exports.run = run;
task_1.setTaskDeferrer(function (taskName, seconds, params) {
    return run(taskName, params).in(seconds).plan();
});
//# sourceMappingURL=index.js.map