import { PlannedTasksStore } from "../../persistence/planned-tasks-store";
import { PlannedTask } from "../planner/planned-task";
import { DispatchableEvent } from "../../events";
export declare class SingleTaskRunner {
    private taskStore;
    private logger;
    constructor(taskStore: PlannedTasksStore);
    run(plannedTask: PlannedTask, startEvent: DispatchableEvent): Promise<void>;
    private runWithTimeout;
    private waitForTaskChainToFinish;
    private handleOneShotTask;
}
