export declare class TaskChainRunnerService implements es.uji.geotec.taskdispatcher.runners.TaskChainRunnerServiceDelegate {
    private nativeService;
    private wakeLock;
    private executionStart;
    private timeoutIds;
    private taskChainCount;
    private killed;
    private logger;
    onCreate(nativeService: globalAndroid.app.Service): void;
    onStartCommand(intent: globalAndroid.content.Intent, flags: number, startId: number): number;
    onDestroy(): void;
    private initializeExecutionWindow;
    private processRequest;
    private taskChainStarted;
    private taskChainDone;
    private extractRequestParams;
    private prepareTaskChainExecution;
    private startTaskChainExecution;
    private stayIdleIfPossible;
    private calculateTimeout;
    private getExpirationTimestamp;
    private gracefullyStop;
    private killWithFire;
}
export declare function getTaskChainRunnerService(): TaskChainRunnerService;
