export declare class AlarmRunnerService implements es.uji.geotec.taskdispatcher.alarms.AlarmRunnerServiceDelegate {
    private nativeService;
    private runsInForeground;
    private timeOffset;
    private currentTime;
    private started;
    private inForeground;
    private wakeLock;
    private timeoutId;
    private taskStore;
    private foregroundChecker;
    private logger;
    onCreate(nativeService: android.app.Service): void;
    onStartCommand(intent: android.content.Intent, flags: number, startId: number): number;
    onDestroy(): void;
    private alreadyRunning;
    private extractInvocationArguments;
    private runInForeground;
    private runTasks;
    private createTaskManager;
    private initializeExecutionWindow;
    private calculateTimeout;
    private getExpirationTimestamp;
    private gracefullyStop;
    private moveToBackground;
    private killWithFire;
}
export declare function getAlarmRunnerService(): AlarmRunnerService;
