import { TaskScheduler } from "..";
import { RunnableTask } from "../../../runnable-task";
import { PlannedTask } from "../../../planner/planned-task";
import { AndroidAlarmScheduler } from "./alarms/alarm/scheduler.android";
import { PlannedTasksStore } from "../../../../persistence/planned-tasks-store";
export declare class AndroidTaskScheduler implements TaskScheduler {
    private alarmScheduler;
    private tasksStore;
    constructor(alarmScheduler?: AndroidAlarmScheduler, tasksStore?: PlannedTasksStore);
    setup(): void;
    schedule(task: RunnableTask): Promise<PlannedTask>;
    cancel(plannedTaskId: string): Promise<void>;
}
export declare function getAndroidTaskScheduler(): AndroidTaskScheduler;
