"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var task_1 = require("./task");
var SimpleTask = (function (_super) {
    __extends(SimpleTask, _super);
    function SimpleTask(name, functionToRun, taskConfig) {
        var _this = _super.call(this, name, taskConfig) || this;
        _this.functionToRun = functionToRun;
        return _this;
    }
    SimpleTask.prototype.onRun = function (params, evt) {
        return __awaiter(this, void 0, void 0, function () {
            var onCancel, runAgainIn, remainingTime, log, ctx;
            var _this = this;
            return __generator(this, function (_a) {
                onCancel = function (f) { return _this.setCancelFunction(f); };
                runAgainIn = function (seconds, taskParams) {
                    return _this.runAgainIn(seconds, taskParams);
                };
                remainingTime = function () { return _this.remainingTime(); };
                log = function (message) { return _this.log(message); };
                ctx = {
                    params: params,
                    evt: evt,
                    onCancel: onCancel,
                    runAgainIn: runAgainIn,
                    remainingTime: remainingTime,
                    log: log,
                };
                return [2, this.functionToRun(ctx)];
            });
        });
    };
    return SimpleTask;
}(task_1.Task));
exports.SimpleTask = SimpleTask;
//# sourceMappingURL=simple-task.js.map