"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("./common");
var DevLogger = (function (_super) {
    __extends(DevLogger, _super);
    function DevLogger(tag) {
        return _super.call(this, tag) || this;
    }
    DevLogger.prototype.logDebug = function (message) {
        console.info(message);
    };
    DevLogger.prototype.logInfo = function (message) {
        console.info(message);
    };
    DevLogger.prototype.logWarning = function (message) {
        console.warn(message);
    };
    DevLogger.prototype.logError = function (message) {
        console.error(message);
    };
    return DevLogger;
}(common_1.AbstractLogger));
exports.DevLogger = DevLogger;
//# sourceMappingURL=dev.js.map