import { Logger } from "./common";
export declare type LoggerCreator = (tag: string) => Logger;
export declare function enableLogging(): void;
export declare function disableLogging(): void;
export declare function setLoggerCreator(creator: LoggerCreator): void;
export declare function getLogger(tag: string): Logger;
export { Logger, AbstractLogger } from "./common";
