"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("../internal/events");
function listenToEventTrigger(eventName, eventId) {
    return new Promise(function (resolve) {
        var listenerId = events_1.on(eventName, function (evt) {
            if (evt.id === eventId) {
                events_1.off(eventName, listenerId);
                resolve(evt.data);
            }
        });
    });
}
exports.listenToEventTrigger = listenToEventTrigger;
var events_2 = require("../internal/events");
exports.createEvent = events_2.createEvent;
exports.emit = events_2.emit;
//# sourceMappingURL=events.js.map